CODE_SATURNE(1)

NAME
code_saturne - Main user script of Code_Saturne.

SYNOPSIS
code_saturne [-h|--help] <command>

DESCRIPTION
The code_saturne script is the main user script of Code_Saturne.

OPTIONS

-h, --help
    Help message.

COMMANDS
Further information will be obtained with code_saturne <command> --help

autovnv
    The code_saturne autovnv command can be used to run an autovalidation series of runs defined by an xml file (see specific autovalidation documentation).

compile
    The code_saturne compile command can be used to generate the cs_solver executable needed for running a Code_Saturne study.

config
    The code_saturne config command provides information about the Code_Saturne build and installation.

create
    The code_saturne create command sets up a directory structure for a Code_Saturne study or case. The different directories created are MESH for meshes, POST for user post-processing and a case directory (or several) containing a DATA, SRC (to store user files), RESU (to store results) and SCRIPTS directory.

gui The code_saturne gui command starts the Code_Saturne gui.

info
    The code_saturne info command is a wrapper for an easier look at Code_Saturne documentation.

run The code_saturne run starts a Code_Saturne case's preprocessing or computation execution.

salome
    The code_saturne salome command starts SALOME, with the CFDSTUDY module enabled (assuming Code_Saturne is built with SALOME support).

ENVIRONMENT VARIABLES
The following environment variables may affect code_saturne run :

CS_MPIEXEC_OPTIONS
    This variable allows defining extra arguments to be passed to the MPI execution command when applicable. If this option is defined, it will have priority over the value defined in global or local code_saturne.cfg files (or by computed defaults), so if necessary, it is possible to define a setting specific to a given run using this variable.

CS_SCRATCHDIR
    Allows defining the execution directory, overriding the default path or settings from the global or local code_saturne.cfg files.

SEE ALSO
The full documentation for Code_Saturne is accessible using the code_saturne info command.